-- Example of rotations generator for ROGUES.
local rogueRotationsGenerator = function ()
	local rotation = {
		["rotation/rogue/assassination"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 1,
			["ActionList"] = {
				["rotation/rogue/hemorrhage"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_gunitpower"] = true,
					["v_gspellcosttype"] = "3",
					["b_t_needsdebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "16511",
					["v_gspellcost"] = "30",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_t_needsdebuff"] = "_16511^4",
				},
				["rotation/rogue/marked_for_death&anticipation"] = {
					["v_t_needsbuff"] = "_137619",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["b_t_needsbuff"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "137619",
					["v_p_knowspell"] = "114015",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_p_unitpower"] = "<=3",
				},
				["rotation/rogue/agonizing_poison"] = {
					["v_p_needbuff"] = "200802",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "200802",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["b_p_knowspell"] = true,
					["v_p_knowspell"] = "200802",
				},
				["rotation/rogue/deadly_poison"] = {
					["v_p_needbuff"] = "2823",
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "2823",
					["v_keybind"] = "<keybind>",
					["b_notinspellbook"] = true,
					["v_p_knownotspell"] = "200802",
					["b_p_knownotspell"] = true,
				},
				["rotation/rogue/mutilate"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "55",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1329",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["b_gunitpower"] = true,
				},
				["rotation/rogue/envenom"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "32645",
					["v_gspellcost"] = "35",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/rupture"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_gspellcosttype"] = "3",
					["v_t_needsdebuff"] = "_1943^4",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "1943",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["b_t_needsdebuff"] = true,
				},
				["rotation/rogue/death_from_above&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "152150",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_gspellcost"] = "25",
				},
				["rotation/rogue/envenom&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_gspellcost"] = "35",
					["b_p_unitpower"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "32645",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/garrote"] = {
					["v_t_needsdebuff"] = "_703^4",
					["v_gunitpowertype"] = "4",
					["v_gspellcost"] = "45",
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "703",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["rotation/rogue/rupture&stratagem"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_p_knowspell"] = "193531",
					["v_gspellcost"] = "25",
					["v_p_unitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "1943",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_t_needsdebuff"] = "_1943^4",
				},
				["rotation/rogue/exsanguinate"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["b_t_hasdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_spellname"] = "200806",
					["v_t_hasdebuff"] = "_1943^20",
				},
				["rotation/rogue/marked_for_death"] = {
					["v_t_needsbuff"] = "_137619",
					["b_p_unitpower"] = true,
					["v_gunitpowertype"] = "4",
					["b_gunitpower"] = true,
					["b_t_needsbuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["v_p_knownotspell"] = "114015",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["b_p_knownotspell"] = true,
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_p_unitpower"] = "<=1",
				},
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_keybind"] = "<keybind>",
				},
				["rotation/rogue/vendetta"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "79140",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
				},
			},
			["SortedActions"] = {
				"rotation/rogue/deadly_poison", -- [1]
				"rotation/rogue/agonizing_poison", -- [2]
				"rotation/rogue/rupture", -- [3]
				"rotation/rogue/rupture&stratagem", -- [4]
				"rotation/rogue/vendetta", -- [5]
				"rotation/rogue/death_from_above", -- [6]
				"rotation/rogue/death_from_above&stratagem", -- [7]
				"rotation/rogue/envenom", -- [8]
				"rotation/rogue/envenom&stratagem", -- [9]
				"rotation/rogue/marked_for_death", -- [10]
				"rotation/rogue/marked_for_death&anticipation", -- [11]
				"rotation/rogue/exsanguinate", -- [12]
				"rotation/rogue/garrote", -- [13]
				"rotation/rogue/hemorrhage", -- [14]
				"rotation/rogue/mutilate", -- [15]
			},
		},
		["rotation/rogue/subtlety"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 3,
			["ActionList"] = {
				["rotation/rogue/enveloping_shadows"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_needbuff"] = "206237^4",
					["v_gspellcost"] = "30",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "206237",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/backstab"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["b_gunitpower"] = true,
					["v_p_needbuff"] = "1784||185422",
					["v_gspellcost"] = "35",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "53",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gunitpowertype"] = "4",
				},
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "25",
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "152150",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/eviscerate&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "35",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "196819",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/nightblade&stratagem"] = {
					["v_t_needsdebuff"] = "_195452^4",
					["v_p_unitpowertype"] = "4",
					["v_p_knowspell"] = "193531",
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_gspellcost"] = "25",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "195452",
					["b_t_needsdebuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/death_from_above&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_gspellcosttype"] = "3",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/marked_for_death&anticipation"] = {
					["v_t_needsbuff"] = "_137619",
					["b_p_unitpower"] = true,
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "5",
					["b_t_needsbuff"] = true,
					["b_gunitpower"] = true,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "137619",
					["v_p_knowspell"] = "114015",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=3",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/symbols_of_death"] = {
					["b_gspellcost"] = true,
					["b_p_needbuff"] = true,
					["v_p_needbuff"] = "212283^2",
					["b_disabled"] = true,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "212283",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "1784||185422||115192",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/shadow_blades"] = {
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "121471",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
				},
				["rotation/rogue/nightblade"] = {
					["b_gspellcost"] = true,
					["b_p_unitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
					["v_gspellcosttype"] = "3",
					["v_t_needsdebuff"] = "_195452^4",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "195452",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["b_t_needsdebuff"] = true,
				},
				["rotation/rogue/eviscerate"] = {
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
					["v_gspellcosttype"] = "3",
					["v_p_knownotspell"] = "193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "196819",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/shadow_dance"] = {
					["v_p_needbuff"] = "185422||115191 ",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185313",
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_charges"] = ">=2",
					["b_charges"] = true,
				},
				["rotation/rogue/marked_for_death"] = {
					["v_t_needsbuff"] = "_137619",
					["v_p_unitpowertype"] = "4",
					["v_gunitpowertype"] = "4",
					["v_gunitpower"] = "5",
					["b_t_needsbuff"] = true,
					["b_p_knownotspell"] = true,
					["b_gunitpower"] = true,
					["v_p_knownotspell"] = "114015",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["b_p_unitpower"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "<=1",
					["v_togglename"] = "Toggle 1",
				},
				["rotation/rogue/shadowstrikes"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_havebuff"] = "1784||185422||115191",
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185438",
					["v_gspellcost"] = "40",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["v_gspellcosttype"] = "3",
				},
			},
			["SortedActions"] = {
				"rotation/rogue/nightblade", -- [1]
				"rotation/rogue/nightblade&stratagem", -- [2]
				"rotation/rogue/enveloping_shadows", -- [3]
				"rotation/rogue/death_from_above", -- [4]
				"rotation/rogue/death_from_above&stratagem", -- [5]
				"rotation/rogue/eviscerate", -- [6]
				"rotation/rogue/eviscerate&stratagem", -- [7]
				"rotation/rogue/shadow_dance", -- [8]
				"rotation/rogue/shadow_blades", -- [9]
				"rotation/rogue/symbols_of_death", -- [10]
				"rotation/rogue/shadowstrikes", -- [11]
				"rotation/rogue/marked_for_death", -- [12]
				"rotation/rogue/marked_for_death&anticipation", -- [13]
				"rotation/rogue/backstab", -- [14]
			},
		},
		["rotation/rogue/outlaw"] = {
			["version"] = 2,
			["keybind"] = "<keybind>",
			["specID"] = 2,
			["ActionList"] = {
				["rotation/rogue/between_the_eyes&stratagem"] = {
					["b_gspellcost"] = true,
					["b_p_havebuff"] = true,
					["v_p_knowspell"] = "193531",
					["v_gspellcost"] = "35",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "193357",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "199804",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_p_unitpowertype"] = "4",
				},
				["rotation/rogue/marked_for_death&anticipation"] = {
					["v_t_needsbuff"] = "_137619",
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["b_t_needsbuff"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["v_p_knowspell"] = "114015",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "5",
					["v_p_unitpower"] = "<=3",
				},
				["rotation/rogue/death_from_above"] = {
					["b_gspellcost"] = true,
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["v_p_knownotspell"] = "193531",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/killing_spree"] = {
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "51690",
				},
				["rotation/rogue/adrenaline_rush"] = {
					["v_p_unitpower"] = "<=66%",
					["v_p_unitpowertype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "13750",
					["b_disabled"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_havebuff"] = "193359",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/pistol_shot&quick_draw&stratagem"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["b_p_unitpower"] = true,
					["v_p_havebuff"] = "195627",
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185763",
					["v_p_knowspell"] = "196938||193531",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_p_unitpower"] = "<=4",
				},
				["rotation/rogue/run_through"] = {
					["b_gspellcost"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
					["v_durationstartedtime"] = 0,
					["b_p_unitpower"] = true,
					["v_p_knownotspell"] = "193531",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "2098",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/pistol_shot&quick_draw"] = {
					["b_p_havebuff"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_havebuff"] = "195627",
					["v_durationstartedtime"] = 0,
					["v_gunitpowertype"] = "4",
					["v_p_unitpowertype"] = "4",
					["b_gunitpower"] = true,
					["b_p_knownotspell"] = true,
					["b_p_knowspell"] = true,
					["v_p_knownotspell"] = "193531||114015",
					["b_p_unitpower"] = true,
					["v_spellname"] = "185763",
					["v_p_knowspell"] = "196938",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_p_unitpower"] = "<=3",
				},
				["rotation/rogue/pistol_shot&quick_draw&anticipation"] = {
					["b_p_havebuff"] = true,
					["b_gunitpower"] = true,
					["v_gunitpowertype"] = "4",
					["v_p_havebuff"] = "195627",
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185763",
					["v_p_knowspell"] = "196938||114015",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_p_unitpower"] = "<=6",
				},
				["rotation/rogue/death_from_above&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_gspellcosttype"] = "3",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["v_p_unitpowertype"] = "4",
					["v_spellname"] = "152150",
					["v_gspellcost"] = "25",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/ghostly_strike"] = {
					["v_t_needsdebuff"] = "_196937^4",
					["v_t_needsbuff"] = " ",
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["b_t_needsdebuff"] = true,
					["v_durationstartedtime"] = 0,
					["v_togglename"] = "Toggle 1",
					["b_gunitpower"] = true,
					["v_spellname"] = "196937",
					["v_gspellcost"] = "30",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["b_gspellcost"] = true,
				},
				["rotation/rogue/saber_slash"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["v_gspellcosttype"] = "3",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "193315",
					["v_gspellcost"] = "50",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "1",
					["b_gunitpower"] = true,
				},
				["rotation/rogue/run_through&stratagem"] = {
					["b_gspellcost"] = true,
					["v_p_knowspell"] = "193531",
					["v_durationstartedtime"] = 0,
					["v_p_unitpowertype"] = "4",
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "2098",
					["v_gspellcost"] = "35",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/between_the_eyes"] = {
					["b_gspellcost"] = true,
					["v_p_unitpower"] = ">=5",
					["v_keybind"] = "<keybind>",
					["b_p_havebuff"] = true,
					["v_gspellcost"] = "35",
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "193531",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "199804",
					["v_gspellcosttype"] = "3",
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "193357",
					["b_p_unitpower"] = true,
				},
				["rotation/rogue/slice_and_dice"] = {
					["v_p_needbuff"] = "_5171^10",
					["v_durationstartedtime"] = 0,
					["b_p_needbuff"] = true,
					["v_keybind"] = "<keybind>",
					["v_p_knownotspell"] = "193531",
					["v_p_unitpowertype"] = "4",
					["b_gspellcost"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "5171",
					["v_gspellcost"] = "25",
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = ">=5",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/ambush"] = {
					["b_gspellcost"] = true,
					["v_gunitpowertype"] = "4",
					["b_gunitpower"] = true,
					["b_p_isstealthed"] = true,
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "8676",
					["v_gspellcost"] = "60",
					["v_keybind"] = "<keybind>",
					["v_gunitpower"] = "2",
					["v_gspellcosttype"] = "3",
				},
				["rotation/rogue/pistol_shot"] = {
					["v_gunitpowertype"] = "4",
					["b_gunitpower"] = true,
					["v_gunitpower"] = "1",
					["v_keybind"] = "<keybind>",
					["v_togglename"] = "Toggle 1",
					["b_p_havebuff"] = true,
					["v_spellname"] = "185763",
					["v_durationstartedtime"] = 0,
					["b_p_knownotspell"] = true,
					["v_p_havebuff"] = "195627",
					["v_p_knownotspell"] = "196938",
				},
				["rotation/rogue/roll_the_bones"] = {
					["v_p_needbuff"] = "193356^10||193357^10||193358^10||193359^10||199600^10||199603^10",
					["v_togglename"] = "Toggle 1",
					["b_p_needbuff"] = true,
					["v_p_unitpowertype"] = "4",
					["b_p_knownotspell"] = true,
					["v_gspellcost"] = "25",
					["b_gspellcost"] = true,
					["v_p_knownotspell"] = "5171||193531",
					["b_p_unitpower"] = true,
					["v_spellname"] = "193316",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = ">=5",
					["v_durationstartedtime"] = 0,
				},
				["rotation/rogue/slice_and_dice&stratagem"] = {
					["v_p_needbuff"] = "_5171^10",
					["v_gspellcost"] = "25",
					["b_p_needbuff"] = true,
					["b_gspellcost"] = true,
					["v_p_unitpowertype"] = "4",
					["v_durationstartedtime"] = 0,
					["b_p_knowspell"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_unitpower"] = true,
					["v_spellname"] = "5171",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["v_p_knowspell"] = "193531",
				},
				["rotation/rogue/cannonball_barage"] = {
					["v_togglename"] = "Toggle 1",
					["v_keybind"] = "<keybind>",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "185767",
				},
				["rotation/rogue/marked_for_death"] = {
					["v_gunitpowertype"] = "4",
					["v_keybind"] = "<keybind>",
					["b_p_unitpower"] = true,
					["v_p_unitpowertype"] = "4",
					["v_p_knownotspell"] = "114015",
					["v_togglename"] = "Toggle 1",
					["v_durationstartedtime"] = 0,
					["v_spellname"] = "137619",
					["b_gunitpower"] = true,
					["b_p_knownotspell"] = true,
					["v_p_unitpower"] = "<=1",
					["v_gunitpower"] = "5",
				},
				["rotation/rogue/roll_the_bones&stratagem"] = {
					["v_p_needbuff"] = "193356^10||193357^10||193358^10||193359^10||199600^10||199603^10",
					["v_durationstartedtime"] = 0,
					["v_gspellcost"] = "25",
					["v_p_unitpowertype"] = "4",
					["b_p_needbuff"] = true,
					["v_togglename"] = "Toggle 1",
					["b_p_knownotspell"] = true,
					["v_p_knowspell"] = "193531",
					["b_p_knowspell"] = true,
					["v_p_knownotspell"] = "5171",
					["b_p_unitpower"] = true,
					["v_spellname"] = "193316",
					["v_gspellcosttype"] = "3",
					["v_keybind"] = "<keybind>",
					["v_p_unitpower"] = "=6",
					["b_gspellcost"] = true,
				},
			},
			["SortedActions"] = {
				"rotation/rogue/killing_spree", -- [1]
				"rotation/rogue/slice_and_dice", -- [2]
				"rotation/rogue/slice_and_dice&stratagem", -- [3]
				"rotation/rogue/roll_the_bones", -- [4]
				"rotation/rogue/roll_the_bones&stratagem", -- [5]
				"rotation/rogue/cannonball_barage", -- [6]
				"rotation/rogue/between_the_eyes", -- [7]
				"rotation/rogue/between_the_eyes&stratagem", -- [8]
				"rotation/rogue/death_from_above", -- [9]
				"rotation/rogue/death_from_above&stratagem", -- [10]
				"rotation/rogue/run_through", -- [11]
				"rotation/rogue/run_through&stratagem", -- [12]
				"rotation/rogue/ambush", -- [13]
				"rotation/rogue/adrenaline_rush", -- [14]
				"rotation/rogue/marked_for_death", -- [15]
				"rotation/rogue/marked_for_death&anticipation", -- [16]
				"rotation/rogue/ghostly_strike", -- [17]
				"rotation/rogue/pistol_shot", -- [18]
				"rotation/rogue/pistol_shot&quick_draw", -- [19]
				"rotation/rogue/pistol_shot&quick_draw&stratagem", -- [20]
				"rotation/rogue/pistol_shot&quick_draw&anticipation", -- [21]
				"rotation/rogue/saber_slash", -- [22]
			},
		},
	}

	return rotation;
end

local rogueRotationsGeneratorData = {
	["generator"] = rogueRotationsGenerator
};

RotationBuilder:addDefaultRotationsGenerator("ROGUE", rogueRotationsGeneratorData);
